/*
 * @Author: aliyun0758874076 2300202994@qq.com
 * @Date: 2023-09-14 10:59:00
 * @LastEditors: aliyun0758874076 2300202994@qq.com
 * @LastEditTime: 2023-10-06 15:52:39
 * @FilePath: \jufeng-pc-settle\src\api\index.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
// 导入api接口模块
import home from './home'

// 获取当前环境变量 true => 生产环境 false => 开发环境
const BASEURL = (process.env.NODE_ENV === 'production') ? 'https://nsappapi.tuanfengkeji.cn' : '/api'

export const api = {
  // 登录模块
  ...home(BASEURL),
  // 图片上传
  upload: `${BASEURL}/file/upload`,
  // 商家入驻
  getAdditional: `${BASEURL}/packageMember/selectPackageMember`,
  getTreeOne: `${BASEURL}/cityManageArea/getTreeOne`,
  getTreeClass: `${BASEURL}/cityManageArea/getTreeClass`, // getTree 地区分类树查询
  getTree: `${BASEURL}/cityManageArea/getTree`, // getTree 地区分类树查询 已废弃 一次性返回的数据太多很慢
  selectAnd: `${BASEURL}/platformUser/selectAnd`, // 查询商家/营销策划师
  enterpriseCheck: `${BASEURL}/check/enterpriseCheck`,
  individualCheck: `${BASEURL}/check/individualCheck`,
  organizationsCheck: `${BASEURL}/check/organizationsCheck`,
  personalCheck: `${BASEURL}/check/personalCheck`,
  getByName: `${BASEURL}/app/getSelect`,
  plannerCheck: `${BASEURL}/check/marketing`, // 策划师入驻
  subsidiaryCompanyCheck: `${BASEURL}/check/agentCheck`,
  getCategoryList: `${BASEURL}/shopCategory/getShopCategoryLevel`,
  getChildCategoryList: `${BASEURL}/shopCategory/getShopCategorySon`
}
export default api
